1. Shipments
OrderMesh QA
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
        GET
      • Update details of a specific shipment by Shipment ID.
        PATCH
      • Create packages for a specific shipment.
        POST
      • Delete shipment with packages.
        DELETE
      • Get all shipments for an order by Order ID.
        GET
      • Create shipment for order, vendor, and order items.
        POST
      • Get shipment with packages for order and vendor.
        GET
      • Get shipment details by Order Item ID.
        GET
      • Update a specific shipment package.
        PATCH
      • Delete a specific shipment package.
        DELETE
      • Cancel shipment.
        PATCH
      • Unassign items to shipment.
        POST
      • Shipment resubmission to assigned facility.
        POST
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
        POST
      • Search shipments.
        GET
      • Reroute shipment.
        POST
      • Rejects a shipment.
        POST
      • Bulk reroute shipments.
        POST
      • Get shipment audit logs.
        GET
      • Get package audit logs.
        GET
      • Get message audit logs for shipment updates.
        GET
      • Assign Shipment.
        POST
  • Schemas
    • Notes
      • /v1/notes
      • /v1/notes
      • /v1/notes/{noteId}
      • /v1/notes/{id}
      • /v1/notes/{id}
      • /v1/notes/{id}/auditLogs
  1. Shipments

Get all shipments for an order by Order ID.

GET
/v1/order/{orderId}
This endpoint allows you to retrieve detailed information about all shipments with packages for a specific order using the order ID.

Request

Path Params

Responses

🟢200
application/json
Returns shipments associated with the provided order id.
Body

🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qa.ordermesh.io/shipment/v1/order/'
Response Response Example
200 - Success
{
    "id": "a1f0a9cc-f66c-447f-b770-9b4884e9f02d",
    "merchantId": "1",
    "merchantName": "Merchant test",
    "vendorId": "2",
    "facilityId": "3",
    "facilityName": "Facility test",
    "vendorName": "Vendor test",
    "orderId": "order 0",
    "shortId": "S1234567890",
    "orderExternalId": "9",
    "merchantOrderId": null,
    "safeId": "example-a1f0a9cc-f66c-447f-b770-9b4884e9f02d",
    "customerId": "4",
    "customerShippingAddressId": 5,
    "merchantPaymentId": "6",
    "shippingCountryCodeISO": 236,
    "shippingCountryCode": "US",
    "shipmentStatus": 4,
    "isRejectedByVendor": null,
    "shippingMethod": null,
    "isPollingStopped": null,
    "currencyCode": "USD",
    "languageCodeISO": 40,
    "languageCode": "US",
    "transactionalCostModel": "transactional",
    "createdDate": "2022-04-03T12:00:00",
    "orderCreatedDate": "2022-04-02T12:00:00",
    "lastModifiedDate": "2022-04-01T12:00:00",
    "merchantOrderTotal": 123,
    "merchantPackageTotal": 22,
    "merchantTaxTotal": 55,
    "merchantShippingTotal": 33,
    "packageTotal": 321,
    "taxTotal": 55,
    "shippingTotal": 12,
    "total": 32,
    "costTotal": 43,
    "costTaxTotal": 77,
    "costShippingTotal": 42,
    "costShippingTaxTotal": 93,
    "packages": [
        {
            "id": "5ee0fab1-942a-4c16-91cc-ec209de922b5",
            "shortId": "P1234567890",
            "shipmentId": "a1f0a9cc-f66c-447f-b770-9b4884e9f02d",
            "carrierName": "Carrier test",
            "carrierMethodName": "Method test",
            "shippedDate": "2022-04-02T15:20:00",
            "fulfilledDate": "2022-04-02T13:05:00",
            "carrierTrackingNumber": "12321",
            "carrierLink": "https://www.tracking.asd/qwe123",
            "carrierAccount": true,
            "orderItemIDs": [
                "1",
                "2"
            ],
            "packageOrderItems": [],
            "packingSlipId": null
        }
    ],
    "orderItemIDs": [
        "d1f0a9cc-f46c-447f-b770-9b4884e9f02d"
    ],
    "orderItems": [
        {
            "id": "d1f0a9cc-f46c-447f-b770-9b4884e9f02d",
            "sku": "Sku-test",
            "vendorSku": "VendorSku-test",
            "variantId": "1",
            "vendorProductId": "1",
            "quantity": 1,
            "merchantPrice": {
                "currency": "USD",
                "amount": 10,
                "tax": 5
            },
            "price": {
                "currency": "USD",
                "amount": 10,
                "tax": 5
            },
            "shortId": "I21832079",
            "status": 1,
            "images": [
                {
                    "area": "Front",
                    "ourUrl": "https://files.example.com/image.png",
                    "ourFileId": "01KFNYM7GYPKTJ6ADP6WSMMH90",
                    "ourThumbnailUrl": null,
                    "ourThumbnailFileId": null,
                    "vendorReadyFileId": "01KCS3G3ZYMVW76YWTWCCH7GT6"
                }
            ],
            "isSample": false
        }
    ],
    "selectedShippingMapping": {
        "carrierName": "UPS",
        "type": "Detailed",
        "shippingMethods": [
            {
                "shippingMethodName": null,
                "shipmentMethod": "Standard",
                "vendorShippingMethod": null,
                "shipToCountries": null,
                "carrierShippingServiceMethods": [
                    {
                        "serviceMethodsAllowed": [
                            "Ground"
                        ],
                        "countryCodesToApply": [
                            "US"
                        ],
                        "vendorMapping": {
                            "carrierCode": "UPS",
                            "serviceCode": "Ground"
                        }
                    }
                ]
            }
        ]
    },
    "shippingAddress": {
        "firstName": "John",
        "lastName": "Doe",
        "line1": "123 Main St",
        "line2": "Suite 100",
        "city": "New York",
        "state": "NY",
        "zip": "10001",
        "countryCode": "US",
        "phone": "555-123-4567",
        "email": "john@example.com"
    },
    "orderShortId": "O20051638",
    "reprint": {
        "originalOrderId": "698ce35e531578b54a3a09ee",
        "reasonId": "fcb29be3-64b8-41b0-a0ab-c7a39bb38d0e"
    }
}
Modified at 2026-09-10 16:05:49
Previous
Delete shipment with packages.
Next
Create shipment for order, vendor, and order items.
Built with